package com.sifang.modules.customer.form;

public class QueryDocumentRes {

    //越秀合同编号
    private String contractNumber;

    //根据输入传入的是合同编号还是证件号码决定返回值(进件序号或证件号码)
    private String businessKey;



    //承租人预审状态  NEW-待审批;APPROVING-审批中;APPROVED-审批通过;REJECTED-审批拒绝
    private String tenantStatus;  //主动推送  只有APPROVED-审批通过  REJECTED-审批拒绝

    //合同文本状态（农户）
    //UNCREATED-未生成;CREATED-已生成;UNAUDITED-待审核（承租人签署完毕）;AUDITED-已审核（越秀农户投放审查通过）;SIGNED-已签约（盖章完成）
    private String contractTextStatus;

    //密文
    private String partnersContractEncr;

    /**
     * 风险审查状态
     * NEW-待审批; APPROVING - 审批中; APPROVED - 审批通过;REJECTED - 审批拒绝; CLOSED - 取消; APPROVED_RETURN - 退回（农户投放审查退回到风险审查）; CANCEL - 撤回（越秀业务经理撤回流程）
     * 1、状态返回：
     * CLOSED-取消
     * 表示越秀已撤单作废该条单据
     * 2、进件更新：
     *   2.1 以下状态不可更新进件信息：
     *      1）APPROVING - 审批中
     *      2）APPROVED - 审批通过
     *      3）CLOSED - 取消
     *   2.2 以下状态可更新进件信息：
     *      1）NEW-待审批
     *      2）REJECTED - 审批拒绝
     *      3）APPROVED_RETURN - 退回
     *      4）CANCEL - 撤回
     *   2.3 可更新单据状态下，信息更新成功后，单据状态更新为待审批
     */
    private String projectStatus;  //主动推送 只用2种状态 APPROVED-审批通过 REJECTED-审批拒绝

    /**
     * 农户投放审查状态
     * NEW-待审批   信息更新成功后，单据状态更新为待审批
     * APPROVING-审批中
     * APPROVED-审批通过
     * REJECTED-审批拒绝
     * CANCEL - 撤回（越秀业务经理撤回流程）
     * WAITING-等待推送/补充并网及投放信息
     *
     */
    private String farmerSignStatus;  //主动推送 只有2种状态  APPROVED-审批通过 REJECTED-审批拒绝


    /**
     * 农户投放审查明细状态
     * BUSAPPROVING-业务审核
     * TECHAPPROVING-完工审核
     * WAITING-等待推送并网及商务信息及附件
     * GRIDRETURN-退回补充并网及商务信息及附件
     * GRIDAPPROVING-并网商务审核
     * GRIDPOWERAPPROVING-发电审核
     * TECHREJECTED-完工审批拒绝
     * GRIDREJECTED-并网商务审批拒绝
     *
     */
    private String farmerSignDetailsStatus;

    /**
     * 投放款付款申请状态
     * NEW-新建
     * APPROVING-审批中
     * APPROVED-审批通过
     * REJECTED-审批拒绝
     * CANCEL-取消
     * BACK-撤回
     */
    private String paymentApplyStatus;

    /**
     * 投放款支付状态
     * NEW-新建
     * PAYING-支付中
     * PAID-已支付
     * FAILURE-支付失败
     */
    private String paymentStatus;

    /**合同状态  如果进件撤销，也返回合同取消
     * SIGN-投放审查通过
     * INCEPT-起租
     * PENDING-暂挂（进行变更）
     * TERMINATE-合同结束
     * CANCEL-取消
     */
    private String contractStatus;

    /**
     * 租后购售电合同补充状态
     *
     * UNSUPPLIED-未补充; NEW-待审批; REVOKED-已撤销;APPROVING-审批中;APPROVED-审批通过;REJECTED-审批拒绝
     *
     * REVOKED-已撤销：表示越秀方业务经理操作撤销，合作方可再次推送信息。
     * 仅租后补充购售电合同可返回该单据状态
     */
    private String contractPowerStatus;


    public String getPaymentApplyStatus() {
        return paymentApplyStatus;
    }

    public void setPaymentApplyStatus(String paymentApplyStatus) {
        this.paymentApplyStatus = paymentApplyStatus;
    }

    public String getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(String paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    //仅返回风险审查、农户投放审查阶段拒绝/退回/撤单原因；当前新增农户投放审查流程中，状态为“WAITING”时，也会返回退回原因
    private String  reason;

    public String getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(String businessKey) {
        this.businessKey = businessKey;
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }

    public String getTenantStatus() {
        return tenantStatus;
    }

    public void setTenantStatus(String tenantStatus) {
        this.tenantStatus = tenantStatus;
    }

    public String getProjectStatus() {
        return projectStatus;
    }

    public void setProjectStatus(String projectStatus) {
        this.projectStatus = projectStatus;
    }

    public String getFarmerSignStatus() {
        return farmerSignStatus;
    }

    public void setFarmerSignStatus(String farmerSignStatus) {
        this.farmerSignStatus = farmerSignStatus;
    }

    public String getContractStatus() {
        return contractStatus;
    }

    public void setContractStatus(String contractStatus) {
        this.contractStatus = contractStatus;
    }

    public String getContractPowerStatus() {
        return contractPowerStatus;
    }

    public void setContractPowerStatus(String contractPowerStatus) {
        this.contractPowerStatus = contractPowerStatus;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getContractTextStatus() {
        return contractTextStatus;
    }

    public void setContractTextStatus(String contractTextStatus) {
        this.contractTextStatus = contractTextStatus;
    }

    public String getPartnersContractEncr() {
        return partnersContractEncr;
    }

    public void setPartnersContractEncr(String partnersContractEncr) {
        this.partnersContractEncr = partnersContractEncr;
    }

    public String getFarmerSignDetailsStatus() {
        return farmerSignDetailsStatus;
    }

    public void setFarmerSignDetailsStatus(String farmerSignDetailsStatus) {
        this.farmerSignDetailsStatus = farmerSignDetailsStatus;
    }
}
